Package it.ernytech.tdlib

## Class TdApi.TextEntity

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.TextEntity

Enclosing class:
  TdApi

    public static class TdApi.TextEntity
    extends TdApi.Object

Represents a part of the text that needs to be formatted in some unusual way.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `length` Length of the entity, in UTF-16 code points.
`int` `offset` Offset of the entity in UTF-16 code points.
`TdApi.TextEntityType` `type` Type of the entity.

### Constructor Summary

Constructors
`TextEntity()` Default constructor.
`TextEntity​(int offset, int length, TdApi.TextEntityType type)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### offset

    public int offset

Offset of the entity in UTF-16 code points.

#### length

    public int length

Length of the entity, in UTF-16 code points.

#### type

    public TdApi.TextEntityType type

Type of the entity.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### TextEntity

    public TextEntity()

Default constructor.

#### TextEntity

    public TextEntity​(int offset,
                      int length,
                      TdApi.TextEntityType type)

Constructor for initialization of all fields.

Parameters:
  `offset` - Offset of the entity in UTF-16 code points.
  `length` - Length of the entity, in UTF-16 code points.
  `type` - Type of the entity.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR